Bug 584490

Summary: SELinux is preventing /usr/sbin/NetworkManager "write" access on /var/lib/NetworkManager.
Product: [Fedora] Fedora Reporter: Rajesh Kumar <rajesh_rajesh1984>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:a28ca755e7e307a6c73fff7353889b09930f3c862c974b957a68ce2ca2866cf8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-21 17:38:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rajesh Kumar 2010-04-21 17:19:09 UTC
Summary:

SELinux is preventing /usr/sbin/NetworkManager "write" access on
/var/lib/NetworkManager.

Detailed Description:

SELinux denied access requested by NetworkManager. It is not expected that this
access is required by NetworkManager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:var_lib_t:s0
Target Objects                /var/lib/NetworkManager [ dir ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-0.7.998-2.git20100106.fc12
Target RPM Packages           NetworkManager-0.7.998-2.git20100106.fc12
Policy RPM                    selinux-policy-3.6.32-108.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.i686.PAE #1 SMP Sat Nov 7
                              21:25:57 EST 2009 i686 athlon
Alert Count                   7
First Seen                    Fri 16 Apr 2010 08:13:28 PM IST
Last Seen                     Thu 22 Apr 2010 04:04:55 AM IST
Local ID                      633e4689-ca06-4334-a7fd-3b849a5e9bd2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1271889295.229:6): avc:  denied  { write } for  pid=1194 comm="NetworkManager" name="NetworkManager" dev=dm-0 ino=280273 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1271889295.229:6): arch=40000003 syscall=5 success=no exit=-13 a0=98854b0 a1=80c2 a2=1b6 a3=1 items=0 ppid=1193 pid=1194 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=system_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-108.fc12,catchall,NetworkManager,NetworkManager_t,var_lib_t,dir,write
audit2allow suggests:

#============= NetworkManager_t ==============
#!!!! The source type 'NetworkManager_t' can write to a 'dir' of the following types:
# etc_t, var_run_t, NetworkManager_log_t, dhcpc_state_t, var_log_t, NetworkManager_var_lib_t, NetworkManager_var_run_t, net_conf_t, dnsmasq_var_run_t, tmp_t, named_cache_t, NetworkManager_tmp_t, root_t

allow NetworkManager_t var_lib_t:dir write;

Comment 1 Daniel Walsh 2010-04-21 17:38:07 UTC
Something went wrong on your update.

# yum reinstall selinux-policy-targeted
# restorecon -R -v /var/lib